/* See newsAlert.js for license.*/

var providerName     = "foxnews"
var providerURL      = "http://foxnews.com"
var providerInterval = 5

function parseNews(raw) {
    var start = raw.indexOf("<!-- Breaking News -->");
    var end   = raw.lastIndexOf("<!-- /Breaking News -->");

    if (start == -1 || end == -1)
        return "";

    var news = raw.slice(start,end);

    if (news.length == 0)
    {
        var start = raw.indexOf("<!--Headline-->");
        var end   = raw.lastIndexOf("<!--/Headline-->");

        if (start == -1 || end == -1)
            return "";

        var news = raw.slice(start,end);
    }


    if (news.length == 0) {
        debug("no updates for foxnews" + " " + start + " " + end);
        return "";
    }

    var header = "<html><head><title>Fox News Alert!</title><base href=\"http://foxnews.com/\"><base target=\"_blank\"></head>"
    var footer = "<center><form><input type=button value=\"Close\"onClick=\"window.close()\"></form></center>"

    return header + news + footer;
}
